[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TRect.Contains

Determine if a point is inside the rectangle

## Declaration

Source position: objects.pp line 246

`function TRect.Contains(`
`P: TPoint`
`):Boolean;`

## Description

Contains returns True if the point P is contained in the rectangle (including borders), False otherwise.

## Errors

None.

## See also

TRect.Intersect |  | Reduce rectangle to intersection with another rectangle
TRect.Equals |  | Do the corners of the rectangles match